#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-keyring-42.1

- Next

  Tecla-45.0

- Up
- Home

# gnome-settings-daemon-45.1

## Introduction to GNOME Settings Daemon

The GNOME Settings Daemon is responsible for setting various parameters of a GNOME Session and the applications that run under it.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-settings-daemon/45/gnome-settings-daemon-45.1.tar.xz

- Download MD5 sum: 61c2d2eb639e6eae775e4330c0dc47fe

- Download size: 1.4 MB

- Estimated disk space required: 29 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### Additional Downloads

- Optional patch (required for running the test suite): https://www.linuxfromscratch.org/patches/blfs/12.1/gnome-settings-daemon-45.1-testsuite_fix-1.patch

### GNOME Settings Daemon Dependencies

#### Required

alsa-lib-1.2.11, colord-1.4.7, Fontconfig-2.15.0, Gcr-4.2.0, GeoClue-2.7.1, geocode-glib-3.26.4, gnome-desktop-44.0, Little CMS-2.14, libcanberra-0.30, libgweather-4.4.0, libnotify-0.8.3, libwacom-2.10.0, PulseAudio-17.0, and UPower-1.90.2

#### Recommended

ALSA, Cups-2.4.7, NetworkManager-1.44.2, nss-3.98, and Wayland-1.22.0

### Note

Recommended dependencies are not strictly required for this package to build and function, but you may not get expected results at runtime if you don't install them.

#### Recommended (Runtime)

blocaled-0.5

#### Optional

gnome-session-45.0, Mutter-45.4, dbusmock-0.30.2, umockdev-0.17.18, and Xvfb (for tests, from Xorg-Server-21.1.11 or Xwayland-23.2.4)

## Installation of GNOME Settings Daemon

Next, fix libelogind detection for tests:

    sed -e 's/libsystemd/libelogind/' \
        -i plugins/power/test.py

Next, fix backlight functionality in gnome-control-center:

    sed -e 's/(backlight->logind_proxy)/(0)/' \
        -i plugins/power/gsd-backlight.c

If running the test suite, apply a patch to fix test timeouts with python-dbusmock 0.30.0 or later:

    patch -Np1 -i ../gnome-settings-daemon-45.1-testsuite_fix-1.patch

Install GNOME Settings Daemon by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dsystemd=false     \
                ..                  &&
    ninja

To check the results, execute: ninja test. Note that you must have python-dbusmock installed in order for the tests to complete successfully. Some tests may fail depending on the init system in use.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: libgsd.so
Installed Directories: /etc/xdg/Xwayland-session.d, /usr/include/gnome-settings-daemon-45, /usr/lib/gnome-settings-daemon-45, and /usr/share/gnome-settings-daemon

- Prev

  gnome-keyring-42.1

- Next

  Tecla-45.0

- Up
- Home